.TH wxCalendarCtrl 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxCalendarCtrl \- See external documentation: wxCalendarCtrl\&.
.SH DESCRIPTION
.LP
See external documentation: wxCalendarCtrl <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxCalendarCtrl()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxCalendarCtrl()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlwxcalendarctrl>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxCalendarCtrl()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> wxCalendarCtrl()
.br
.RS
.TP
Types
Option = {date, datetime() (see module wx)} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlwxcalendarctrl>\&.
.RE
.LP
.B
create(This::wxCalendarCtrl(), Parent::wxWindow() (see module wxWindow), Id::integer()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, [])\&.
.RE
.LP
.B
create(This::wxCalendarCtrl(), Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {date, datetime() (see module wx)} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlcreate>\&.
.RE
.LP
.B
setDate(This::wxCalendarCtrl(), Date::datetime() (see module wx)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlsetdate>\&.
.RE
.LP
.B
getDate(This::wxCalendarCtrl()) -> datetime() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlgetdate>\&.
.RE
.LP
.B
enableYearChange(This::wxCalendarCtrl()) -> ok
.br
.RS
.LP
Equivalent to enableYearChange(This, [])\&.
.RE
.LP
.B
enableYearChange(This::wxCalendarCtrl(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {enable, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlenableyearchange>\&.
.RE
.LP
.B
enableMonthChange(This::wxCalendarCtrl()) -> ok
.br
.RS
.LP
Equivalent to enableMonthChange(This, [])\&.
.RE
.LP
.B
enableMonthChange(This::wxCalendarCtrl(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {enable, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlenablemonthchange>\&.
.RE
.LP
.B
enableHolidayDisplay(This::wxCalendarCtrl()) -> ok
.br
.RS
.LP
Equivalent to enableHolidayDisplay(This, [])\&.
.RE
.LP
.B
enableHolidayDisplay(This::wxCalendarCtrl(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {display, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlenableholidaydisplay>\&.
.RE
.LP
.B
setHeaderColours(This::wxCalendarCtrl(), ColFg::colour() (see module wx), ColBg::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlsetheadercolours>\&.
.RE
.LP
.B
getHeaderColourFg(This::wxCalendarCtrl()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlgetheadercolourfg>\&.
.RE
.LP
.B
getHeaderColourBg(This::wxCalendarCtrl()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlgetheadercolourbg>\&.
.RE
.LP
.B
setHighlightColours(This::wxCalendarCtrl(), ColFg::colour() (see module wx), ColBg::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlsethighlightcolours>\&.
.RE
.LP
.B
getHighlightColourFg(This::wxCalendarCtrl()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlgethighlightcolourfg>\&.
.RE
.LP
.B
getHighlightColourBg(This::wxCalendarCtrl()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlgethighlightcolourbg>\&.
.RE
.LP
.B
setHolidayColours(This::wxCalendarCtrl(), ColFg::colour() (see module wx), ColBg::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlsetholidaycolours>\&.
.RE
.LP
.B
getHolidayColourFg(This::wxCalendarCtrl()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlgetholidaycolourfg>\&.
.RE
.LP
.B
getHolidayColourBg(This::wxCalendarCtrl()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlgetholidaycolourbg>\&.
.RE
.LP
.B
getAttr(This::wxCalendarCtrl(), Day::integer()) -> wxCalendarDateAttr() (see module wxCalendarDateAttr)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlgetattr>\&.
.RE
.LP
.B
setAttr(This::wxCalendarCtrl(), Day::integer(), Attr::wxCalendarDateAttr() (see module wxCalendarDateAttr)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlsetattr>\&.
.RE
.LP
.B
setHoliday(This::wxCalendarCtrl(), Day::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlsetholiday>\&.
.RE
.LP
.B
resetAttr(This::wxCalendarCtrl(), Day::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlresetattr>\&.
.RE
.LP
.B
hitTest(This::wxCalendarCtrl(), Pos::{X::integer(), Y::integer()}) -> {WxCalendarHitTestResult, Date::datetime() (see module wx), Wd::WeekDay}
.br
.RS
.TP
Types
WxCalendarHitTestResult = integer()
.br
WeekDay = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendarctrl\&.html#wxcalendarctrlhittest>\&. 
.br
 WxCalendarHitTestResult is one of ?wxCAL_HITTEST_NOWHERE | ?wxCAL_HITTEST_HEADER | ?wxCAL_HITTEST_DAY | ?wxCAL_HITTEST_INCMONTH | ?wxCAL_HITTEST_DECMONTH | ?wxCAL_HITTEST_SURROUNDING_WEEK 
.br
 WeekDay is one of ?wxDateTime_Sun | ?wxDateTime_Mon | ?wxDateTime_Tue | ?wxDateTime_Wed | ?wxDateTime_Thu | ?wxDateTime_Fri | ?wxDateTime_Sat | ?wxDateTime_Inv_WeekDay
.RE
.LP
.B
destroy(This::wxCalendarCtrl()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
